// Copyright 2017 Orus.io. All rights reserved.

package sql

import (
	"testing"

	"github.com/slicebit/qb"

	"bitbucket.org/orus-io/go-xbus/api"
	"bitbucket.org/orus-io/xbus/testutils"
	"bitbucket.org/orus-io/xbus/testutils/sqldb"
)

func TestLog(t *testing.T) {
	logger := testutils.GetTestLogger(t)
	defer logger.VerifyExpectations()
	m, db, closeDB := sqldb.GetTestDB(t)
	defer closeDB()
	logStorage := NewLogStorage(m, db, logger)
	db.Engine.SetLogFlags(qb.LQuery | qb.LBindings)

	logentry := api.LogEntry{
		Message: api.LogMessage{Text: "test"},
	}

	logStorage.Log(logentry)
}
