// Copyright 2017 Orus.io. All rights reserved.

package model

import (
	"time"

	"bitbucket.org/orus-io/go-xbus/api"
	"bitbucket.org/orus-io/xbus/uuid"
)

//go:generate yago --fmt

// LogEntry stores a api.LogEntry
//yago:autoattrs
type LogEntry struct {
	ID         int64         `yago:"auto_increment,primary_key"`
	EnvelopeID uuid.NullUUID `yago:"fk=Envelope,index"`
	ActorID    uuid.NullUUID `yago:"fk=Actor,index"`
	ProcessID  uuid.NullUUID
	NodeID     string
	Time       time.Time
	Level      api.LogLevel `yago:"type=qb.Varchar()"`
	Text       string       `yago:"type=qb.Text()"`
}
