package model

import (
	"github.com/slicebit/qb"
)

// RawSQL returns a RawSQLBuilder from a string
func RawSQL(s string) RawSQLBuilder {
	return RawSQLBuilder{s}
}

// RawSQLBuilder implements qb.Builder
type RawSQLBuilder struct {
	s string
}

// Build creates a statement
func (b RawSQLBuilder) Build(dialect qb.Dialect) *qb.Stmt {
	s := qb.Statement()
	s.AddSQLClause(b.s)
	return s
}
