package api

import (
	"github.com/m4rw3r/uuid"
)

const (
	// EmitterServicePrefix is the prefix for the emitter service
	EmitterServicePrefix = ServicesPrefix + "emitter."

	// EmitterSignalSubjet is the subject for sending EmitterSignal messages
	EmitterSignalSubjet = EmitterServicePrefix + "signal"
)

// EnvelopeTarget is the target of an envelope
type EnvelopeTarget struct {
	ActorID uuid.UUID
	NodeID  string
	Input   string
}

// EmitterSignal can be sent on EmitterSignalSubjet.
type EmitterSignal struct {
	ProcessID  uuid.UUID
	EnvelopeID uuid.UUID
	Target     EnvelopeTarget
}
